> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all recon for a project



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/projects/{project_id}/recons
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects/{project_id}/recons:
    get:
      tags:
        - Reconnaissance
      summary: List all recon for a project
      operationId: MetisServicePublic_ListRecon
      parameters:
        - name: project_id
          description: The UUID of the project
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: page_token
          description: Opaque token provided for the next page of results
          in: query
          required: false
          schema:
            type: string
        - name: page_limit
          description: Maximum number of items per page
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1betaListReconResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
      security:
        - BearerAuth: []
components:
  schemas:
    v1betaListReconResponse:
      type: object
      properties:
        recons:
          type: array
          items:
            $ref: '#/components/schemas/v1betaReconObject'
          title: List of recons for the project
          readOnly: true
        next_page_url:
          type: string
          title: Next page URL, if next page
          readOnly: true
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1betaReconObject:
      type: object
      properties:
        recon_id:
          type: string
          format: uuid
          title: UUID for this recon
        project_id:
          type: string
          format: uuid
          title: The UUID of the project
        recon_type:
          $ref: '#/components/schemas/v1betaReconType'
        state:
          $ref: '#/components/schemas/v1betaReconState'
        reason:
          type: string
          title: Reason for the Recon
        recommendation:
          type: string
          title: Recommendation for the Recon
        result:
          type: object
          title: JSON — shape varies by recon_type
        created_at:
          type: string
          format: date-time
          title: ISO8601 timestamp when the recon was created
        ended_at:
          type: string
          format: date-time
          title: ISO8601 timestamp when the test ended, nullable
      title: A recon record
      required:
        - recon_id
        - project_id
        - recon_type
        - state
        - created_at
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v1betaReconType:
      type: string
      enum:
        - RECON_TYPE_UNSPECIFIED
        - RECON_TYPE_GUARDRAIL_DETECT
        - RECON_TYPE_GUARDRAIL_FINGERPRINT
        - RECON_TYPE_INPUT_ENCODING
        - RECON_TYPE_OUTPUT_ENCODING
        - RECON_TYPE_SYSTEM_PROMPT_EXTRACTION
        - RECON_TYPE_TOOL_DISCOVERY
        - RECON_TYPE_OUTPUT_FORMATTING
        - RECON_TYPE_OUTPUT_RENDERING
      default: RECON_TYPE_UNSPECIFIED
    v1betaReconState:
      type: string
      enum:
        - RECON_STATE_UNSPECIFIED
        - RECON_STATE_SUCCEEDED
        - RECON_STATE_FINGERPRINTED
        - RECON_STATE_RUNNING
      default: RECON_STATE_UNSPECIFIED
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````